%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DB_File.pm) perl(Module/Build.pm) perl(Test/More.pm) perl(Tie/Array.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.04
%define module_name Math-Prime-TiedArray
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: Simulate an infinite array of prime numbers
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/Z/ZI/ZIGDON/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Allows access to an array of prime numbers, that will be extended as-needed:

    use Math::Prime::TiedArray;

    my @primes;
    tie @primes, "Math::Prime::TiedArray";

    # print the first 100 primes:
    print join ", ", @primes[0..99];

    # print the 200th prime:
    print $primes[199];

    # print all the primes smaller than 500
    while ((my $prime = shift @primes) < 500) {
      print "$prime, ";
    }


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/M*

%changelog
* Mon Apr 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

